<?
session_start();
$time=explode(' ', microtime()); 
$the_time_taken=$time[1]+$time[0]; 
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
?>
<html>
<br>
<br>
<strong><div align="center"><font face="Verdana" size="2" color="#800000">Gerar Classifica&ccedil;&atilde;o da Repescagem do Processo Seletivo</font></div></strong>
<?
echo "<font color='blue'>Calculando Total Sem Peso...</font> ";
$sql_limpa = "Delete from auxiliar_classificacao";
mysql_query($sql_limpa) or die ("ERRO 10 (limpeza não foi efetuada)");

//CALCULANDO TOTAL SEM PESO

$matricula = "SELECT matricula FROM resultado_final WHERE codigo_vest=$qual_vestibular and situacao='3' ORDER BY matricula";
$query_matricula = mysql_query($matricula) or die ("Não há matriculas para este vestibular");
while ($Vmatricula = mysql_fetch_array($query_matricula))
{
	$Redacao = "SELECT matricula, redacao FROM notas_redacao WHERE matricula='".$Vmatricula["matricula"]."'";
	$query_redacao = mysql_query($Redacao);
	if ($query_redacao==0)
	{
		echo "Notas de Redação ainda não foram cadastradas, impossível gerar repescagem!";
		exit;
	}
	$nota_reda = mysql_fetch_array($query_redacao);
	$vTotal_sem_peso = "SELECT pontuacao FROM resultado_parcial WHERE matricula='".$Vmatricula["matricula"]."'";
	$query_total_sem_peso = mysql_query($vTotal_sem_peso);
	$vTSP = $nota_reda["redacao"];
	
	while ($TSP = mysql_fetch_array($query_total_sem_peso))
	{
		$vTSP = $vTSP + $TSP["pontuacao"];
	}
//	echo $vTSP;
//	echo $Vmatricula["matricula"];
//	exit;
	$vGrava_total_sem_peso = "UPDATE resultado_final SET total_sem_peso =". $vTSP . " WHERE matricula ='". $Vmatricula["matricula"] . "'";
	mysql_query($vGrava_total_sem_peso) or die ("ERRO: Não foi possivel gravar totalização");
}

echo "<font color='red'>CONCLUÍDO.</font><BR>";
echo "<font color='blue'>Filtrando Informações Necessárias... </font>";

// USANDO TABELA RESULTADO FINAL PARA ADQUIRIR MATRICULA, TSP, REDACAO

$info_total_sem_peso = "SELECT matricula, redacao, total_sem_peso FROM resultado_final WHERE codigo_vest = $qual_vestibular and treineiro = 'n' and situacao='3' order by matricula";
$info_TSP = mysql_query($info_total_sem_peso) or die ("ERRO: Processo ( 1 ) não efetuado");

while ($V_TSP = mysql_fetch_array($info_TSP))
{
	$candidato = $V_TSP["matricula"];
	$redacao = $V_TSP["redacao"];
	$total_sem_peso = $V_TSP["total_sem_peso"];
	
	// USANDO TABELA RESULTADO PARCIAL PARA ADQUIRIR PONTOS DE PORTUGUES
	
	$info_vPortugues = "SELECT pontuacao FROM resultado_parcial WHERE matricula=$candidato and cod_materia='1'";
	$info_PORT = mysql_query($info_vPortugues)  or die ("ERRO: Processo ( 2 ) não efetuado");
	$PORT = mysql_fetch_array($info_PORT);
	$vPORT = $PORT['pontuacao'];
	
	// USANDO TABELA CANDIDATO PARA ADQUIRIR IDADE

	$info_vIdade = "SELECT nascimento FROM candidato WHERE codigo=$candidato";
	$info_IDADE= mysql_query($info_vIdade) or die ("ERRO: Processo ( 3 ) não efetuado");
	$IDADE = mysql_fetch_array($info_IDADE);
	$nota_1_nas_aux = $IDADE["nascimento"];
	$nas_aux = split('/',$nota_1_nas_aux);
	$nota_1_nas = $nas_aux[1] . '/' . $nas_aux[0] . '/' .$nas_aux[2];
	$IDADE = strtotime($nota_1_nas); 
	
	// INSERINDO DADOS NA TABELA AUXILIAR DE CLASSIFICACAO
	
	$sql_atualiza = "INSERT INTO auxiliar_classificacao (matricula, nota_total_candidato, nota_pt, nota_redacao, idade) VALUES ('$candidato', '$total_sem_peso', '$vPORT', '$redacao', '$IDADE')";
	mysql_query($sql_atualiza) or die ("ERRO: Não foi possivel acrescentar registro");
}
echo "<font color='red'>CONCLUÍDO. </font><BR>";
///////
//  INICIANDO A CLASSIFICACAO
///////
echo "<font color='blue'>Gerando Classificação da Repescagem... </font>";
$sql_classifica = "SELECT * FROM auxiliar_classificacao ORDER BY nota_total_candidato DESC, nota_redacao DESC,  nota_pt DESC, idade DESC";
$resultado = mysql_query($sql_classifica) or die ("ERRO: Não foi possivel Realizar Classificação da Repescagem");
$i = 1;
while($info_resultado = mysql_fetch_array($resultado))
{
	$mat = $info_resultado["matricula"];
	$Contagem = 'UPDATE resultado_final SET class_repescagem ='. $i .' WHERE matricula ="'. $mat . '"';
	mysql_query($Contagem) or die ("ERRO: Não foi possivel gravar classificação");
	$i++;
}	
echo "<font color='red'>CONCLUÍDO. </font><BR>";
?>
</html>